libppi-html-perl_1.08-1_all.deb


Advertisement

Description

libppi-html-perl - module to highlight Perl code using PPI

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libppi-html-perl
Package version 1.08
Package release 1
Package architecture all
Package type deb
Installed size 96 B
Download size 15.30 KB
Official Mirror archive.ubuntu.com
PPI::HTML is a Perl module which uses the PPI (a Perl Parsing Interface, see
libppi-perl) module to create syntax-highlighted HTML documents from Perl
code. It supports extensibility through stylesheets and provides an easy
facility to change colours of your output.

Alternatives

Package Version Architecture Repository
libppi-html-perl_1.08-1_all.deb 1.08 all Ubuntu Universe
libppi-html-perl - - -

Requires

Name Value
libcss-tiny-perl -
libfile-slurp-perl -
libparams-util-perl -
libppi-perl -
perl -

Download

Type URL
Binary Package libppi-html-perl_1.08-1_all.deb
Source Package libppi-html-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libppi-html-perl deb package:
    # sudo apt-get install libppi-html-perl

Files

Path
/usr/bin/ppi2html
/usr/share/doc/libppi-html-perl/changelog.Debian.gz
/usr/share/doc/libppi-html-perl/changelog.gz
/usr/share/doc/libppi-html-perl/copyright
/usr/share/man/man1/ppi2html.1.gz
/usr/share/man/man3/PPI::HTML.3pm.gz
/usr/share/perl5/PPI/HTML.pm
/usr/share/perl5/PPI/HTML/Fragment.pm

Changelog

2009-11-16 - Jonathan Yu <jawnsy@cpan.org>
libppi-html-perl (1.08-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Update to new short debhelper rules format
* Standards-Version 3.8.3 (drop perl version dep)
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
[ Ryan Niebur ]
* Remove Florian Ragwitz from Uploaders (Closes: #523240)
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ gregor herrmann ]
* debian/control: remove versions from (build) dependencies on libppi-perl
and libcss-tiny-perl, even oldstable has newer versions.
2008-07-01 - Gunnar Wolf <gwolf@debian.org>
libppi-html-perl (1.07-2) unstable; urgency=low
[ gregor herrmann ]
* Take over for the Debian Perl Group with maintainer's permission
(http://lists.debian.org/debian-perl/2008/06/msg00039.html)
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza). Changed:
Maintainer set to Debian Perl Group <pkg-perl-
maintainers@lists.alioth.debian.org> (was: Florian Ragwitz
<rafl@debian.org>); Florian Ragwitz <rafl@debian.org> moved to
Uploaders.
* debian/watch: use dist-based URL.
[ Gunnar Wolf ]
* Fixed typo in short description (Closes: #467433)
* Updated standards-version to 3.8.0 (no changes needed)
* Updated debhelper compat level to 5
* Added myself as an uploader
* No longer ignores the result of 'make distclean'
2008-04-05 - Mark Hymers <mhy@debian.org>
libppi-html-perl (1.07-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix FTBFS with Perl 5.10.  Closes: #467991
2006-08-03 - Florian Ragwitz <rafl@debian.org>
libppi-html-perl (1.07-1) unstable; urgency=low
* New upstream release.
2006-02-11 - Florian Ragwitz <rafl@debian.org>
libppi-html-perl (0.05-1) unstable; urgency=low
* New upstream release (Closes: #329649).
* New Maintainer with acknowledgement from the former one.
* Bumped up Standards-Version to 3.6.2 (no changes).
* Moved build-deps that aren't needed in the clean target to
build-dep-indep.
* Cleaned up debian/rules.
* Added libparams-util-perl to build-dep-indep and depends.
* Updated version numbers for all (build-)dependencies.
* Added dependency to libfile-slurp-perl because ppi2html needs it.
* Added a manpage for ppi2html and generate it from pod in debian/rules.
2005-04-07 - Chip Salzenberg <chip@debian.org>
libppi-html-perl (0.03-1) unstable; urgency=low
* Initial Release.

See Also

Package Description
libppi-perl_1.236-1_all.deb module to parse, analyze and manipulate Perl code
libppi-xs-perl_0.910-1_i386.deb Perl module to accelerate the Perl Parsing Interface (PPI)
libppix-documentname-perl_0.001003-1_all.deb utility to extract a name from a PPI Document
libppix-editortools-perl_0.21-1_all.deb set of tools for editors to use for manipulating Perl via PPI
libppix-regexp-perl_0.055-1_all.deb module to parse regular expressions
libppix-utilities-perl_1.001000-2_all.deb Perl module containing extensions to PPI
libppl-c4_1.2-2build4_i386.deb Parma Polyhedra Library (C interface)
libppl-dev_1.2-2build4_i386.deb Parma Polyhedra Library (development)
libppl-doc_1.2-2build4_all.deb Parma Polyhedra Library: Documentation
libppl-swi_1.2-2build4_i386.deb Parma Polyhedra Library (SWI Prolog interface)
libppl14_1.2-2build4_i386.deb Parma Polyhedra Library (runtime library)
libppx-deriving-ocaml-dev_4.1-1.1_i386.deb type-driven code generation for OCaml (dev files)
libppx-deriving-ocaml_4.1-1.1_i386.deb type-driven code generation for OCaml (runtime files)
libppx-tools-ocaml-dev_5.0+4.05.0-1_i386.deb tools for authors of OCaml syntactic tools
libppx-visitors-ocaml-dev_20170725-2_i386.deb OCaml syntax extension for object-oriented visitors
Advertisement
Advertisement